<script lang="ts">
  import Arrow from '~/ui/Arrow.svelte';

  export let open: boolean = false;
  export let size: number;
  export let color: string;
</script>

<div
  class="arrow"
  class:open>
  <Arrow
    {size}
    {color} />
</div>

<style>
  div {
    position: absolute;
    right: 10px;
    width: fit-content;
    height: fit-content;
    pointer-events: none;
    transform: rotate(90deg);
    transition: transform 0.3s ease;
  }

  .open {
    transform: rotate(-90deg);
  }
</style>
